System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.IComponent System.Web.UI.IControlBuilderAccessor System.Web.UI.IControlDesignerAccessor System.Web.UI.IDataBindingsAccessor System.Web.UI.IExpressionsAccessor System.Web.UI.IParserAccessor System.Web.UI.IUrlResolutionService System.Web.UI.Themeable(false) System.ComponentModel.Bindable(true) System.ComponentModel.Design.Serialization.DesignerSerializer("Microsoft.VisualStudio.Web.WebForms.ControlCodeDomSerializer, Microsoft.VisualStudio.Web, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.Serialization.CodeDomSerializer, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.Designer("System.Web.UI.Design.ControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.ToolboxItem("System.Web.UI.Design.WebControlToolboxItem, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.ToolboxItemFilter("System.Web.UI", System.ComponentModel.ToolboxItemFilterType.Require) System.ComponentModel.DesignerCategory("Code") System.ComponentModel.DefaultProperty("ID") This class defines every control that can be handled in a web page. To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Web.UI.Adapters.ControlAdapter To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'object' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.String To be added. To be added. To be added.
- Property
  System.Web.UI.Control To be added To be added: an object of type 'Control' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  2.0.0.0
  System.Char To be added. To be added. To be added.
- Property
  System.Web.HttpContext To be added a To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Web.UI.ControlCollection To be added To be added: an object of type 'ControlCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.ControlCollection To be added To be added: an object of type 'ControlCollection' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(true)
  System.Web.UI.Themeable(false)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.Themeable(false) System.ComponentModel.DefaultValue(true)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Property
  System.ComponentModel.EventHandlerList To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.Control `` To be added: an object of type 'string' To be added To be added: an object of type 'Control' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.Control `` `` To be added: an object of type 'string' To be added: an object of type 'int' To be added To be added: an object of type 'Control' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Collections.IDictionary To be added. To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.Themeable(false) System.Web.UI.Filterable(false) System.ComponentModel.ParenthesizePropertyName(true) System.ComponentModel.MergableProperty(false)
- Property
  2.0.0.0
  System.Char To be added. To be added. To be added.
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'object' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.Control To be added To be added: an object of type 'Control' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Boolean `` `` To be added: an object of type 'object' To be added: an object of type 'EventArgs' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'EventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'EventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'EventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'EventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'EventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.IO.Stream `` To be added. To be added. To be added. To be added.
- Property
  System.Web.UI.Page To be added To be added: an object of type 'Page' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Bindable(false) System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Web.UI.Control To be added To be added: an object of type 'Control' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'object' To be added: an object of type 'EventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'HtmlTextWriter' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'HtmlTextWriter' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'HtmlTextWriter' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Web.UI.Adapters.ControlAdapter To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Object To be added. To be added. To be added.
- Method
  System.Object To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'RenderMethod' To be added To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Property
  System.ComponentModel.ISite To be added a To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  2.0.0.0
  System.Web.UI.Filterable(false)
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.Browsable(false)
  System.String To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Web.UI.ControlBuilder To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Collections.IDictionary To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Collections.IDictionary To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Web.UI.DataBindingCollection To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Web.UI.ExpressionBindingCollection To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Web.UI.TemplateControl To be added. To be added. To be added.
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Event
  System.EventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.StateBag To be added To be added: an object of type 'StateBag' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Bindable(true) System.ComponentModel.DefaultValue(true)